com.digi.xbee.api.exceptions

## Class InterfaceNotOpenException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.digi.xbee.api.exceptions.InterfaceNotOpenException

- All Implemented Interfaces:
    Serializable

      public class InterfaceNotOpenException
      extends RuntimeException

  This exception will be thrown when trying to perform any operation with the XBee device and its communication interface is closed.
  See Also:
    `RuntimeException`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InterfaceNotOpenException()` Creates an `InterfaceNotOpenException` with as its error detail message.
    `InterfaceNotOpenException(String message)` Creates an `InterfaceNotOpenException` with the specified message.
    `InterfaceNotOpenException(String message, Throwable cause)` Creates an `InterfaceNotOpenException` with the specified message and cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InterfaceNotOpenException

          public InterfaceNotOpenException()

      Creates an `InterfaceNotOpenException` with as its error detail message.

    - #### InterfaceNotOpenException

          public InterfaceNotOpenException(String message)

      Creates an `InterfaceNotOpenException` with the specified message.
      Parameters:
        `message` - The associated message.

    - #### InterfaceNotOpenException

          public InterfaceNotOpenException(String message,
                                   Throwable cause)

      Creates an `InterfaceNotOpenException` with the specified message and cause.
      Parameters:
        `message` - The associated message.
        `cause` - The cause of this exception.
      See Also:
        `Throwable`

© Copyright 2014–2014 Digi International Inc. All rights reserved.